<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<title>API: tabview   (YUI Library)</title>
	<link rel="stylesheet" type="text/css" href="assets/api.css">
</head>

<body id="yahoo-com">
<div id="doc3" class="yui-t2">

	<div id="hd">
        <h1>Yahoo! UI Library</h1>
        <h3>tabview&nbsp; <span class="subtitle">2.2.0</span></h3>
        <p>
        <a href="./index.html">Yahoo! UI Library</a> 
            &gt; <a href="./module_tabview.html">tabview</a>
                
                
            </p>
	</div>

	<div id="bd">
		<div id="yui-main">
			<div class="yui-b">

                   
                    <h3>Module: tabview
                    


                    </h3>
                    <div class="description summary">
                        The tabview module provides a widget for managing content bound to tabs.
                    </div>

                    <form onsubmit="return false">
                        <p>Search tabview:
                        <div id="propertysearch">
                            <input autocomplete="off" id="searchinput" />
                            <div id="searchresults">
                                &nbsp;
                            </div>
                        </div>
                    </form>
                    <script type="text/javascript">
                        ALL_YUI_PROPS = [{"url": "YAHOO.widget.Tab.html#activationEvent", "host": "YAHOO.widget.Tab", "name": "activationEvent"}, {"url": "YAHOO.widget.Tab.html#active", "host": "YAHOO.widget.Tab", "name": "active"}, {"url": "YAHOO.widget.Tab.html#activeChange", "host": "YAHOO.widget.Tab", "name": "activeChange"}, {"url": "YAHOO.widget.Tab.html#ACTIVE_CLASSNAME", "host": "YAHOO.widget.Tab", "name": "ACTIVE_CLASSNAME"}, {"url": "YAHOO.widget.TabView.html#activeIndex", "host": "YAHOO.widget.TabView", "name": "activeIndex"}, {"url": "YAHOO.widget.TabView.html#activeTab", "host": "YAHOO.widget.TabView", "name": "activeTab"}, {"url": "YAHOO.widget.TabView.html#activeTabChange", "host": "YAHOO.widget.TabView", "name": "activeTabChange"}, {"url": "YAHOO.widget.TabView.html#addTab", "host": "YAHOO.widget.TabView", "name": "addTab"}, {"url": "YAHOO.widget.Tab.html#beforeActiveChange", "host": "YAHOO.widget.Tab", "name": "beforeActiveChange"}, {"url": "YAHOO.widget.TabView.html#beforeActiveTabChange", "host": "YAHOO.widget.TabView", "name": "beforeActiveTabChange"}, {"url": "YAHOO.widget.Tab.html#beforeContentChange", "host": "YAHOO.widget.Tab", "name": "beforeContentChange"}, {"url": "YAHOO.widget.Tab.html#beforeLabelChange", "host": "YAHOO.widget.Tab", "name": "beforeLabelChange"}, {"url": "YAHOO.widget.TabView.html#beforeOrientationChange", "host": "YAHOO.widget.TabView", "name": "beforeOrientationChange"}, {"url": "YAHOO.widget.Tab.html#cacheData", "host": "YAHOO.widget.Tab", "name": "cacheData"}, {"url": "YAHOO.widget.TabView.html#CLASSNAME", "host": "YAHOO.widget.TabView", "name": "CLASSNAME"}, {"url": "YAHOO.widget.Tab.html#content", "host": "YAHOO.widget.Tab", "name": "content"}, {"url": "YAHOO.widget.Tab.html#contentChange", "host": "YAHOO.widget.Tab", "name": "contentChange"}, {"url": "YAHOO.widget.Tab.html#contentEl", "host": "YAHOO.widget.Tab", "name": "contentEl"}, {"url": "YAHOO.widget.TabView.html#_contentParent", "host": "YAHOO.widget.TabView", "name": "_contentParent"}, {"url": "YAHOO.widget.TabView.html#CONTENT_PARENT_CLASSNAME", "host": "YAHOO.widget.TabView", "name": "CONTENT_PARENT_CLASSNAME"}, {"url": "YAHOO.widget.TabView.html#contentTransition", "host": "YAHOO.widget.TabView", "name": "contentTransition"}, {"url": "YAHOO.widget.Tab.html#contentVisible", "host": "YAHOO.widget.Tab", "name": "contentVisible"}, {"url": "YAHOO.widget.TabView.html#createTabs", "host": "YAHOO.widget.TabView", "name": "createTabs"}, {"url": "YAHOO.widget.Tab.html#dataConnection", "host": "YAHOO.widget.Tab", "name": "dataConnection"}, {"url": "YAHOO.widget.Tab.html#dataLoaded", "host": "YAHOO.widget.Tab", "name": "dataLoaded"}, {"url": "YAHOO.widget.Tab.html#dataSrc", "host": "YAHOO.widget.Tab", "name": "dataSrc"}, {"url": "YAHOO.widget.Tab.html#dataTimeout", "host": "YAHOO.widget.Tab", "name": "dataTimeout"}, {"url": "YAHOO.widget.Tab.html#disabled", "host": "YAHOO.widget.Tab", "name": "disabled"}, {"url": "YAHOO.widget.Tab.html#DISABLED_CLASSNAME", "host": "YAHOO.widget.Tab", "name": "DISABLED_CLASSNAME"}, {"url": "YAHOO.widget.TabView.html#DOMEventHandler", "host": "YAHOO.widget.TabView", "name": "DOMEventHandler"}, {"url": "YAHOO.widget.TabView.html#getTab", "host": "YAHOO.widget.TabView", "name": "getTab"}, {"url": "YAHOO.widget.TabView.html#getTabIndex", "host": "YAHOO.widget.TabView", "name": "getTabIndex"}, {"url": "YAHOO.widget.Tab.html#href", "host": "YAHOO.widget.Tab", "name": "href"}, {"url": "YAHOO.widget.TabView.html#initAttributes", "host": "YAHOO.widget.TabView", "name": "initAttributes"}, {"url": "YAHOO.widget.Tab.html#initAttributes", "host": "YAHOO.widget.Tab", "name": "initAttributes"}, {"url": "YAHOO.widget.Tab.html#label", "host": "YAHOO.widget.Tab", "name": "label"}, {"url": "YAHOO.widget.Tab.html#labelChange", "host": "YAHOO.widget.Tab", "name": "labelChange"}, {"url": "YAHOO.widget.Tab.html#labelEl", "host": "YAHOO.widget.Tab", "name": "labelEl"}, {"url": "YAHOO.widget.Tab.html#LABEL_INNER_TAGNAME", "host": "YAHOO.widget.Tab", "name": "LABEL_INNER_TAGNAME"}, {"url": "YAHOO.widget.Tab.html#loadHandler", "host": "YAHOO.widget.Tab", "name": "loadHandler"}, {"url": "YAHOO.widget.Tab.html#LOADING_CLASSNAME", "host": "YAHOO.widget.Tab", "name": "LOADING_CLASSNAME"}, {"url": "YAHOO.widget.Tab.html#loadMethod", "host": "YAHOO.widget.Tab", "name": "loadMethod"}, {"url": "YAHOO.widget.TabView.html#orientation", "host": "YAHOO.widget.TabView", "name": "orientation"}, {"url": "YAHOO.widget.TabView.html#orientationChange", "host": "YAHOO.widget.TabView", "name": "orientationChange"}, {"url": "YAHOO.widget.TabView.html#removeTab", "host": "YAHOO.widget.TabView", "name": "removeTab"}, {"url": "YAHOO.widget.TabView.html#_tabParent", "host": "YAHOO.widget.TabView", "name": "_tabParent"}, {"url": "YAHOO.widget.TabView.html#TAB_PARENT_CLASSNAME", "host": "YAHOO.widget.TabView", "name": "TAB_PARENT_CLASSNAME"}, {"url": "YAHOO.widget.TabView.html#tabs", "host": "YAHOO.widget.TabView", "name": "tabs"}, {"url": "YAHOO.widget.TabView.html#toString", "host": "YAHOO.widget.TabView", "name": "toString"}, {"url": "YAHOO.widget.Tab.html#toString", "host": "YAHOO.widget.Tab", "name": "toString"}];
                    </script>

                    <script type="text/javascript" src="assets/api-js"></script>
                    <script type="text/javascript" src="assets/ac-js"></script>

			</div>
		</div>
		<div class="yui-b">
            <div class="nav">

                    <div class="module">
                        <h4>Modules</h4>
                        <ul class="content">

                                <li class=""><a href="module_animation.html">animation</a></li>

                                <li class=""><a href="module_autocomplete.html">autocomplete</a></li>

                                <li class=""><a href="module_button.html">button</a></li>

                                <li class=""><a href="module_calendar.html">calendar</a></li>

                                <li class=""><a href="module_connection.html">connection</a></li>

                                <li class=""><a href="module_container.html">container</a></li>

                                <li class=""><a href="module_datasource.html">datasource</a></li>

                                <li class=""><a href="module_datatable.html">datatable</a></li>

                                <li class=""><a href="module_dom.html">dom</a></li>

                                <li class=""><a href="module_dragdrop.html">dragdrop</a></li>

                                <li class=""><a href="module_element.html">element</a></li>

                                <li class=""><a href="module_event.html">event</a></li>

                                <li class=""><a href="module_history.html">history</a></li>

                                <li class=""><a href="module_logger.html">logger</a></li>

                                <li class=""><a href="module_menu.html">menu</a></li>

                                <li class=""><a href="module_slider.html">slider</a></li>

                                <li class="selected"><a href="module_tabview.html">tabview</a></li>

                                <li class=""><a href="module_treeview.html">treeview</a></li>

                                <li class=""><a href="module_yahoo.html">yahoo</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Classes</h4>
                        <ul class="content">
                                <li class=""><a href="YAHOO.widget.Tab.html">YAHOO.widget.Tab</a></li>
                                <li class=""><a href="YAHOO.widget.TabView.html">YAHOO.widget.TabView</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Files</h4>
                        <ul class="content">        
                                <li class=""><a href="Tab.js.html">Tab.js</a></li>
                                <li class=""><a href="TabView.js.html">TabView.js</a></li>
                        </ul>
                    </div>





            </div>
		</div>
	</div>
	<div id="ft">
        <hr />
        Copyright &copy; 2007 Yahoo! Inc. All rights reserved.
	</div>
</div>
</body>
</html>
